# based on http://cvs.fedora.redhat.com/viewcvs/devel/bzr-gtk/?root=extras
Name:           bzr-gtk
Version:        0.97.0
Release:        %mkrel 1
Summary:        Bazaar plugin for GTK+ interfaces to most Bazaar operations

Group:          Development/Python
License:        GPL
URL:            http://bazaar-vcs.org/bzr-gtk
Source0:	http://edge.launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  python-devel bzr
BuildRequires:  gettext
Requires:       bzr >= 1.0
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:	python-cairo
Requires:	python-gtksourceview

%description
bzr-gtk is a plugin for Bazaar that aims to provide GTK+ interfaces to most
Bazaar operations.

%package -n olive
Summary: Graphical frontend to the bazaar revision control system
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description -n olive
Olive aims to be a full-featured graphical frontend for Bazaar.  It will
expose all core functionality of Bazaar in a user-friendly GUI.

%package nautilus
Summary: Nautilus integration for bzr-gtk
Group: Development/Other
Requires: %{name} = %{version}-%{release}
Requires: python-nautilus

%description nautilus
bzr-gtk integration with the nautilus file manager for gnome.

%prep
%setup -q

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_prefix}/lib/nautilus/extensions-1.0/python/
mv %{buildroot}%{python_sitelib}/bzrlib/plugins/gtk/nautilus* %{buildroot}%{_prefix}/lib/nautilus/extensions-1.0/python/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%py_puresitedir/bzrlib/plugins/gtk/
%py_puresitedir/*egg-info
%{_datadir}/applications/bazaar-properties.desktop
%{_datadir}/applications/bzr-handle-patch.desktop
%{_datadir}/applications/bzr-notify.desktop
%{_datadir}/application-registry/bzr-gtk.applications
%{_datadir}/%{name}
%{_datadir}/pixmaps/bzr-icon-64.png
%{_iconsdir}/hicolor/scalable/emblems/*

%files -n olive
%defattr(-,root,root,-)
%{_bindir}/*
%py_puresitedir/bzrlib/plugins/gtk/olive
%{_datadir}/olive
%{_datadir}/pixmaps/olive-gtk.png
%{_datadir}/applications/olive-gtk.desktop
%{_datadir}/locale/*

%files nautilus
%{_prefix}/lib/nautilus/extensions-1.0/python/*


%changelog
* Sun Aug 30 2009 Crispin Boylan <crisb@mandriva.org> 0.97.0-1mdv2010.0
+ Revision: 422470
- New release

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.96.2-1mdv2010.0
+ Revision: 398124
- Update to new version 0.96.2

* Fri Dec 26 2008 Crispin Boylan <crisb@mandriva.org> 0.95.0-2mdv2009.1
+ Revision: 319438
- Rebuild for python2.6

* Sat Nov 08 2008 Crispin Boylan <crisb@mandriva.org> 0.95.0-1mdv2009.1
+ Revision: 300991
- New version
- Remove obsolete patches
- Enable Nautilus integration

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - added requires to newer bzr and pygtk2.0-libglade
    - new version 0.94.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.93.0-1mdv2008.1
+ Revision: 119744
- New release 0.93.0

* Wed Nov 14 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.92.1-1mdv2008.1
+ Revision: 108868
- new version 0.92.1

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.91.0-1mdv2008.1
+ Revision: 97327
- New release 0.91.0

* Mon Sep 03 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.90.0-1mdv2008.0
+ Revision: 78575
- new version 0.90.0

* Tue Jul 17 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.18.0-1mdv2008.0
+ Revision: 52933
- changed group name to Development/Other
- new version 0.18.0

* Mon Jun 18 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.17.0-1mdv2008.0
+ Revision: 41049
- requires new bzr 0.17
- don't rely on __id_u
- new version 0.17.0

* Sat May 26 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.16.0-1mdv2008.0
+ Revision: 31234
- Import bzr-gtk

